{% extends 'morello.jinja2' %}
{% set connection_list = ['uart0', 'uart1', 'uart2', 'uart3', 'uart4', 'uart5', 'uart6'] %}
{% set connection_commands = {
  'uart0': 'telnet morello-worker01 7116',
  'uart1': 'telnet morello-worker01 7117',
  'uart2': 'telnet morello-worker01 7118',
  'uart3': 'telnet morello-worker01 7119',
  'uart4': 'telnet morello-worker01 7120',
  'uart5': 'telnet morello-worker01 7121',
  'uart6': 'telnet morello-worker01 7122'
} %}
{% set connection_tags = {
  'uart0': ['primary', 'telnet'],
  'uart1': ['telnet'],
  'uart2': ['telnet'],
  'uart3': ['telnet'],
  'uart4': ['telnet'],
  'uart5': ['telnet'],
  'uart6': ['telnet']
} %}

{# Power connected to PDU01, port 10 #}
{# Power control via telnet to MCC, port 7123 #}

{% set power_on_command = '/usr/local/lab-scripts/morello-power-control morello-worker01 7123 reboot' %}
{% set power_off_command = '/usr/local/lab-scripts/morello-power-control morello-worker01 7123 shutdown' %}
{% set hard_reset_command = '/usr/local/lab-scripts/morello-power-control morello-worker01 7123 reboot' %}

{% set device_ip = '10.7.0.109' %}
{% set device_mac = '00:02:f7:00:97:9f' %}
{% set usb_device_id = 0 %}
{% set usb_filesystem_label = 'MORELLO03' %}
{% set usb_label = 'usb_storage_device' %}
{% set usb_uuid = '57D4-155A' %}
{% set device_info = [{'board_id': '10.7.0.109:5555'}] %}
{% set sdmux_disk = '/dev/disk/by-id/usb-LinuxAut_sdmux_HS-SD_MMC_000000001108-0:0' %}
{% set sdmux_command_dut = 'usbsdmux /dev/usb-sd-mux/id-000000001108 dut' %}
{% set sdmux_command_host = 'usbsdmux /dev/usb-sd-mux/id-000000001108 host' %}
{% set sync_to_lava = {'device_type': 'morello', 'worker': 'morello-worker01.lavalab', 'tags': ['morello03'], 'aliases': []} %}
